libqca-qt5-plugins-32bit-2.1.3-ku.5.7.x86_64.rpm


Advertisement

Description

libqca-qt5-plugins-32bit - Various plugins for the Qt Cryptographic Architecture 2

Property Value
Distribution openSUSE Tumbleweed
Repository KDE Unstable all
Package filename libqca-qt5-plugins-32bit-2.1.3-ku.5.7.x86_64.rpm
Package name libqca-qt5-plugins-32bit
Package version 2.1.3
Package release ku.5.7
Package architecture x86_64
Package type rpm
Category System/Libraries
Homepage https://userbase.kde.org/QCA
License LGPL-2.1+
Maintainer -
Download size 38.56 KB
Installed size 103.69 KB
This package provides a generic Qt cryptographic architecture,
including a library and a plug-in for using all supported capabilities
of openssl, like SSL/TLS, X509, RSA, SHA1, MD5, Blowfish, 3DES, and
AES.
It can be extended by further plug-ins, for example, with qca-sasl for
SASL support.

Alternatives

Package Version Architecture Repository
libqca-qt5-plugins-32bit-2.2.1-40.1.x86_64.rpm 2.2.1 x86_64 KDE 5
libqca-qt5-plugins-32bit-2.2.1-1.1.x86_64.rpm 2.2.1 x86_64 openSUSE Oss
libqca-qt5-plugins-32bit - - -

Requires

Name Value
libQt5Core.so.5 -
libQt5Core.so.5(Qt_5) -
libQt5Core.so.5(Qt_5.12) -
libc.so.6(GLIBC_2.4) -
libgcc_s.so.1 -
libgcc_s.so.1(GCC_3.0) -
libnss3.so -
libnss3.so(NSS_3.2) -
libnss3.so(NSS_3.3) -
libqca-qt5.so.2 -
libsasl2.so.3 -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(GLIBCXX_3.4) -

Provides

Name Value
libqca-cyrus-sasl.so -
libqca-nss.so -
libqca-qt5-plugins-32bit = 2.1.3-ku.5.7
libqca-qt5-plugins-32bit(x86-32) = 2.1.3-ku.5.7

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libqca-qt5-plugins-32bit-2.1.3-ku.5.7.x86_64.rpm
Source Package libqca-qt5-2.1.3-ku.5.7.src.rpm

Install Howto

  1. Add the KDE Unstable repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/KDE:/Unstable:/Qt/openSUSE_Tumbleweed/ kde-unstable
  2. Install libqca-qt5-plugins-32bit rpm package:
    # zypper install libqca-qt5-plugins-32bit

Files

Path
/usr/lib/qt5/
/usr/lib/qt5/plugins/
/usr/lib/qt5/plugins/crypto/libqca-cyrus-sasl.so
/usr/lib/qt5/plugins/crypto/libqca-nss.so

Changelog

2017-12-27 - jengelh@inai.de
- Diversify subpackage descriptions.
2017-12-20 - fabian@ritter-vogt.de
- Add patches to support OpenSSL 1.1.0:
* 0001-Revert-tlsunittest-disable-some-ciphers.patch
* 0002-Disable-missed-openssl-cipher-suites.patch
* 0003-Add-support-for-OpenSSL-1.1.0.patch
- Fix provides in main package
2017-10-19 - meissner@suse.com
- buildignore openssl-1_0_0 to avoid conflicts during the
openssl 1.1 effort.
2017-10-09 - vcizek@suse.com
- Hardcode certstore path on Tumbleweed, in order to avoid
BuildRequires: ca-certificates, which will create a conflict,
because it requires openssl-1_1_0 (bsc#1055310)
2017-10-01 - wbauer@tmo.at
- Update to 2.1.3
* No changelog provided
- Drop libqca-qt5-2.1.1-explicit-signed-char.patch, merged upstream
- Update Url
2017-09-29 - wbauer@tmo.at
- Remove libbotan-devel build requirement, we explicitly disable
building the botan plugin anyway (boo#1055322)
2017-08-25 - fvogt@suse.com
- Force building against openSSL 1.0 (boo#1055310)
- Disable PKCS11 on TW to avoid openssl conflicts
2016-05-25 - antoine.belvire@laposte.net
- Fix build on PowerPC with GCC 6:
* Add libqca-qt5-2.1.1-explicit-signed-char.patch
2015-10-03 - hrvoje.senjan@gmail.com
- Update to 2.1.1
* No changelog provided
- Drop Use-Q_SLOTS-Q_SIGNALS.patch and 0001-Add-missing-QIODevice-include.patch
2015-09-26 - hrvoje.senjan@gmail.com
- Added Use-Q_SLOTS-Q_SIGNALS.patch from upstream: allow building
without QT_NO_KEYWORDS define

See Also

Package Description
libqgpgme-devel-1.13.0-ku.3.1.i586.rpm Development files for libqgpgme, a Qt library for accessing GnuPG
libqgpgme-devel-1.13.0-ku.3.1.x86_64.rpm Development files for libqgpgme, a Qt library for accessing GnuPG
libqgpgme7-1.13.0-ku.3.1.i586.rpm Programmatic Qt library interface to GnuPG
libqgpgme7-1.13.0-ku.3.1.x86_64.rpm Programmatic Qt library interface to GnuPG
libqgpgme7-32bit-1.13.0-ku.3.1.x86_64.rpm Programmatic Qt library interface to GnuPG
libqoauth2-2.0.0-ku.5.5.i586.rpm Library for interaction with OAuth-powered network services
libqoauth2-2.0.0-ku.5.5.x86_64.rpm Library for interaction with OAuth-powered network services
libqscintilla2_qt5-15-2.11.1-ku.3.1.i586.rpm C++ Editor Class Library
libqscintilla2_qt5-15-2.11.1-ku.3.1.x86_64.rpm C++ Editor Class Library
libqscintilla_qt5-devel-2.11.1-ku.3.1.i586.rpm C++ Editor Class Library Development Files
libqscintilla_qt5-devel-2.11.1-ku.3.1.x86_64.rpm C++ Editor Class Library Development Files
libqt5-creator-4.9.0-ku.15.1.x86_64.rpm Integrated Development Environment targeting Qt apps
libqt5-creator-plugin-devel-4.9.0-ku.15.1.x86_64.rpm Qt Creator Plugin Development Files
libqt5-linguist-5.12.3-ku.1.2.i586.rpm Qt 5 Linguist Tools
libqt5-linguist-5.12.3-ku.1.2.x86_64.rpm Qt 5 Linguist Tools
Advertisement
Advertisement